Package org.linphone.core

# Enum Class ParticipantDevice.State

java.lang.Object
java.lang.Enum<ParticipantDevice.State>
org.linphone.core.ParticipantDevice.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ParticipantDevice.State>`, `Constable`

Enclosing interface:
  ParticipantDevice

public static enum ParticipantDevice.State extends Enum<ParticipantDevice.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Alerting`
180 Ringing
`Joining`
an INVITE has been sent
`Leaving`
A BYE is pending.
`Left`
The Session is terminated.
`MutedByFocus`
Some medias have been muted by the focus.
`OnHold`
the SIP session has been concluded, participant is not media mixed
`Present`
the SIP session has been concluded, participant is part of the conference
`RequestingToJoin`
the participant has sent a request to join the conference as he/she didn't
receive any invitation for
`ScheduledForJoining`
Initial state for the server group chatroom, when the participant has not yet
been INVITEd.
`ScheduledForLeaving`
Transitional state for a participant that will receive a BYE shortly.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ParticipantDevice.State`
`fromInt(int value)`
`int`
`toInt()`
`static ParticipantDevice.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParticipantDevice.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Joining

public static final ParticipantDevice.State Joining
an INVITE has been sent

### Present

public static final ParticipantDevice.State Present
the SIP session has been concluded, participant is part of the conference

### Leaving

public static final ParticipantDevice.State Leaving
A BYE is pending.

### Left

public static final ParticipantDevice.State Left
The Session is terminated.

### ScheduledForJoining

public static final ParticipantDevice.State ScheduledForJoining
Initial state for the server group chatroom, when the participant has not yet
been INVITEd.

### ScheduledForLeaving

public static final ParticipantDevice.State ScheduledForLeaving
Transitional state for a participant that will receive a BYE shortly.

### OnHold

public static final ParticipantDevice.State OnHold
the SIP session has been concluded, participant is not media mixed

### Alerting

public static final ParticipantDevice.State Alerting
180 Ringing

### MutedByFocus

public static final ParticipantDevice.State MutedByFocus
Some medias have been muted by the focus.

### RequestingToJoin

public static final ParticipantDevice.State RequestingToJoin
the participant has sent a request to join the conference as he/she didn't
receive any invitation for

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ParticipantDevice.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParticipantDevice.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ParticipantDevice.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()